CTFu = AceLibrary("AceAddon-2.0"):new("AceConsole-2.0", "AceDB-2.0", "FuBarPlugin-2.0");
local L = AceLibrary("AceLocale-2.2"):new("CTFu");
local Tablet = AceLibrary("Tablet-2.0");

L:RegisterTranslations("enUS", function() return {
	["tabletHint"] = "Click to show CT-mod Control Panel.",
	["labelName"] = "CT-mod",
} end);

CTFu:RegisterDB("CTFuDB");
CTFu.hasIcon = true;
CTFu.defaultPosition = "RIGHT";

local optionsTable = {
	handler = CTFu,
	type = "group",
	args = {};
};

CTFu:RegisterChatCommand({ "/ctfu", }, optionsTable);
CTFu.OnMenuRequest = optionsTable;

function CTFu:OnTextUpdate()
	if (self:IsTextShown()) then
		self:ShowText();
		self:SetText("|cffffffff"..L["labelName"].."|r");
	else
		self:HideText();
	end
end

function CTFu:OnTooltipUpdate()
	Tablet:SetHint(L["tabletHint"]);
end

function CTFu:OnClick()
	CT_Library:showControlPanel("toggle");
end